require 'spty_api/version'
require 'spty_api/configuration'
require 'spty_api/authorization'
require 'spty_api/http/client'

module SptyAPI
  class << self
    attr_accessor :configuration, :authorization

    def configure
      self.configuration ||= Configuration.new
      yield(configuration)
    end

    def client_authorize
      self.authorization ||= Authorization.new(type: 'client_credentials')
    end

    def reset
      self.configuration = nil
      self.authorization = nil
    end
  end
end
